import { Injectable } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class EnviarInfoService {
  private mensajeBienvenida = new BehaviorSubject<string>('');
  private color = new BehaviorSubject<string>('');
  private textColor = new BehaviorSubject<string>('');
  private link = new BehaviorSubject<string>('');
  currentMensaje = this.mensajeBienvenida.asObservable();
  currentColor = this.color.asObservable();
  currentTextColor = this.textColor.asObservable();
  currentLink = this.link.asObservable();
  private tablaSource = new Subject<void>();

  constructor() { }

  tabla$ = this.tablaSource.asObservable();

  notifyCambioTabla() {
    this.tablaSource.next();
  }


  changeMessage(mensaje: string) {
    this.mensajeBienvenida.next(mensaje);
  }
  changeColor(color: string) {
    this.color.next(color);
  }
  changeTextColor(textColor: string) {
    this.textColor.next(textColor);
  }
  changeColorLinks(links: string) {
    this.link.next(links);
  }
}
